# Changelog

All notable changes to this project will be documented in this file.

## [unreleased]

### Bug Fixes

- Replace deprecated substr() with substring() and add checks for promise results

### Documentation

- Add type definitions for Calendar and SpaceApi

### Features

- Add git-cliff to update the CHANGELOG.md

### Miscellaneous Tasks

- Update husky
- Improve CHANGELOG config
- Unify and improve codestyle

### Other

- Add pre-commit hook with husky

## [v0.9.1](https://gitea.usrspace.at/XimeX/usrspace-browser-addon/releases/tag/v0.9.1) - 2023-01-22

### Other

- Extract code into setBadgeStatus and createStatusChangedNotification function
- Don't fetch data if offline
- Replace web-ext types package
- Await init
- Add link to Pad

## [v0.9.0](https://gitea.usrspace.at/XimeX/usrspace-browser-addon/releases/tag/v0.9.0) - 2023-01-20

### Other

- Manifest_v3
- Update to manifest_version v3
- Make code compatible with manifest_version v3

## [v0.8.7](https://gitea.usrspace.at/XimeX/usrspace-browser-addon/releases/tag/v0.8.7) - 2023-01-20

### Other

- Add badges to README
- Improve README
- Improve badges
- Improve config
- Use globalThis instead of window to also work in service worker
- Remove unnecessary permissions
- Remove persistent flag in manifest config
- Open usrspace.at homepage on install

## [v0.8.6](https://gitea.usrspace.at/XimeX/usrspace-browser-addon/releases/tag/v0.8.6) - 2023-01-05

### Other

- Change addon id to currently used one

## [v0.8.5](https://gitea.usrspace.at/XimeX/usrspace-browser-addon/releases/tag/v0.8.5) - 2023-01-05

### Other

- Add web-ext-config.js and add watch scripts
- Improve README
- Add development docs
- Inject browser-polyfill only in chromium builds
- Add addon id

## [v0.8.4](https://gitea.usrspace.at/XimeX/usrspace-browser-addon/releases/tag/v0.8.4) - 2023-01-05

### Other

- Use html template tag
- Change strict_min_version to v79
- Simplify updateSpaceApiJson
- Add lint script

## [v0.8.3](https://gitea.usrspace.at/XimeX/usrspace-browser-addon/releases/tag/v0.8.3) - 2023-01-04

### Other

- Update strict_min_version to 57.0

## [v0.8.2](https://gitea.usrspace.at/XimeX/usrspace-browser-addon/releases/tag/v0.8.2) - 2023-01-04

### Other

- Explicit set persistent=true and add browser_specific_settings in manifest.json
- Set html lang by browser language
- Improve popup styling

## [v0.8.1](https://gitea.usrspace.at/XimeX/usrspace-browser-addon/releases/tag/v0.8.1) - 2022-12-25

### Bug Fixes

- Fix copy-version script

### Other

- Manifest l10n
- Faster data fetching, badge improvements
- Cursor pointer on clickable elements
- Move manifest and _locales into src
- Update package-lock
- Store data in localStorage
- Use storage api
- Use browser.alarms api
- Unfiy codestyle
- Cleanup data on startup

## [v0.8.0](https://gitea.usrspace.at/XimeX/usrspace-browser-addon/releases/tag/v0.8.0) - 2022-12-24

### Other

- Improve code, doc, tooling
- Npm version scripts
- Copy browser-polyfill
- Import config as module
- Move code into src dir
- Add JsDoc and small code improvements
- Add build script
- Improve code
- Remove old icons
- Add l10n
- Cleanup manifest.json
- Increase svg size
- Set build filename

## [v0.7](https://gitea.usrspace.at/XimeX/usrspace-browser-addon/releases/tag/v0.7) - 2021-11-06

### Bug Fixes

- Fix new urls
- Fix dates if no date is found
- Fix data, remove logging, improve code

### Other

- Change spaceApiUrl and nextcloud label
- Add release info
- Add editorconfig
- Reformat code
- Add package.json for typescript type definitions
- Use template strings
- Format datetime
- Change to normal function and use async/await
- Use css variables and prepare for dark mode support
- Add Nunito font
- Change icons, enable darkmode, improve styling
- Update license
- Change icon
- Remove old html code and load right svg

## [v0.4](https://gitea.usrspace.at/XimeX/usrspace-browser-addon/releases/tag/v0.4) - 2019-10-04

### Bug Fixes

- Fix wrong icon

## [v0.3](https://gitea.usrspace.at/XimeX/usrspace-browser-addon/releases/tag/v0.3) - 2019-10-04

### Other

- Improve popup content

## [v0.2](https://gitea.usrspace.at/XimeX/usrspace-browser-addon/releases/tag/v0.2) - 2019-08-28

### Bug Fixes

- Fix icon style
- Fix compatibility with chromium based browsers
- Fix typo

### Other

- Init
- Add first readme
- Add LICENSE and improve README
- Add icons and improve styling
- Improve styling
- Use config
- Offen/Geschlossen-Info schön im Pop-Up
- Add space status change notification
- Small fix
- Make text over icon more readable
- Switch from GitLab to Gitea
- Missing change from Gitlab to Gitea
- Update browser-polyfill
- Add sections
- Add time element for event date
- Improve badge color
- Combine updateBadge promises
- Check for online/offline events if fetching should be enabled

<!-- generated by git-cliff -->
